package api

import (
	"github.com/golang-jwt/jwt"
	"go.uber.org/zap"
)

type Api struct {
	AdminApiKey     string
	AdminToken      string
	JwtSharedSecret string
	Log             *zap.SugaredLogger
	URL             string
}

type ApiRes struct {
	Body       []byte
	StatusCode int
}

type ApiResError struct {
	Error string `json:"error"`
	Field string `json:"field"`
}

type TokenRes struct {
	Jwt          string `json:"jwt"`
	RenewalToken string `json:"renewalToken"`
}

type AdminClaims struct {
	AccountID     string              `json:"accountId"`
	AccountFields map[string][]string `json:"accountFields"`
	AccountName   string              `json:"accountName"`
	jwt.StandardClaims
}
