package views

import (
	vu "gitlab.larvit.se/power-plan/auth-ui/src/view-utils"
	"gitlab.larvit.se/power-plan/auth-ui/src/views/layouts"
)

type UserData struct {
	Name string
}

type IndexData struct {
	ErrField     string
	ErrMsg       string
	OkMsg        string
	Title        string
	UserData     UserData
	UserLoggedIn bool
}

func Index(data IndexData) string {
	content := ""

	if data.UserLoggedIn {
		content = `
		<h1 class="main-title">Welcome ` + data.UserData.Name + `</h1>
		<form method="post" action="/logout">
			<button type="submit">Logout</button>
		</form>
		`
	} else {
		content = `
		<h1 class="main-title">Login</h1>
		<form method="post" class="pure-form pure-form-aligned primary-form">
		` + vu.TernStr(len(data.OkMsg) != 0, "<p>"+data.OkMsg+"</p>", "") + `
			<fieldset>
				<div class="pure-control-group">
					<label for="username">Username</label>
					<input type="text" placeholder="Username" name="username" id="username">
				</div>

				<div class="pure-control-group">
					<label for="password">Password</label>
					<input type="password" placeholder="Password" name="password" id="password" />
				</div>
				` + vu.TernStr(len(data.ErrMsg) != 0, "<p>ERROR! "+data.ErrMsg+"<p>", "") + `
				<div class="pure-controls">
					<a href="/register" class="pure-button">Register</a>
					<button type="submit" class="pure-button pure-button-primary">Login</button>
				</div>
			</fieldset>
		</form>
		`
	}

	return layouts.Default(layouts.DefaultData{
		Content: content,
		Title:   data.Title,
	})
}
