package views

import (
	vu "gitlab.larvit.se/power-plan/auth-ui/src/view-utils"
	"gitlab.larvit.se/power-plan/auth-ui/src/views/layouts"
)

type RegisterData struct {
	ErrField string
	ErrMsg   string
	OkMsg    string
}

func Register(data RegisterData) string {
	content := `
<h1 class="main-title">Register</h1>
<form method="post" class="pure-form pure-form-aligned primary-form">
	` + vu.TernStr(len(data.OkMsg) != 0, "<p>"+data.OkMsg+" <a href=\"/\">Login</a></p>", "") + `
	<fieldset>
		<div class="pure-control-group">
			<label for="username">Username</label>
			<input type="text" placeholder="Username" name="username" id="username">
		</div>

		<div class="pure-control-group">
			<label for="password">Password</label>
			<input type="password" placeholder="Password" name="password" id="password" />
		</div>

		<div class="pure-control-group">
			<label for="repeatPassword">Repeat password</label>
			<input type="password" placeholder="Repeat password" name="repeatPassword" id="repeatPassword" />
		</div>
		` + vu.TernStr(len(data.ErrMsg) != 0, "<p>ERROR! "+data.ErrMsg+"<p>", "") + `
		<div class="pure-controls">
			<a href="/" class="pure-button">Cancel</a>
			<button type="submit" class="pure-button pure-button-primary">Register</button>
		</div>
	</fieldset>
</form>`

	return layouts.Default(layouts.DefaultData{
		Content: content,
		Title:   "Register",
	})
}
